uuid: b12bdbbb-80ae-4ace-8587-52dc67f63501
langcode: en
status: true
dependencies:
  config:
    - filter.format.basic_html
  module:
    - ckeditor5
format: basic_html
editor: ckeditor5
settings:
  toolbar:
    items:
      - bold
      - italic
      - underline
      - '|'
      - link
      - '|'
      - bulletedList
      - numberedList
      - '|'
      - blockQuote
      - drupalMedia
      - '|'
      - heading
      - style
      - '|'
      - sourceEditing
  plugins:
    ckeditor5_heading:
      enabled_headings:
        - heading2
        - heading3
        - heading4
        - heading5
        - heading6
    ckeditor5_list:
      properties:
        reversed: false
        startIndex: true
      multiBlock: true
    ckeditor5_sourceEditing:
      allowed_tags:
        - '<cite>'
        - '<dl>'
        - '<dt>'
        - '<dd>'
        - '<span>'
        - '<i>'
        - '<img src alt data-entity-type data-entity-uuid data-entity-substitution data-align data-caption width height>'
        - '<blockquote cite>'
        - '<ul type>'
        - '<ol type>'
        - '<h2 id>'
        - '<h3 id>'
        - '<h4 id>'
        - '<h5 id>'
        - '<h6 id>'
        - '<drupal-media data-entity-substitution title>'
        - '<a accesskey target>'
    ckeditor5_style:
      styles:
        -
          label: Button
          element: '<a class="btn btn-default">'
    editor_advanced_link_link:
      enabled_attributes:
        - id
        - rel
        - target
        - title
    linkit_extension:
      linkit_enabled: true
      linkit_profile: wysiwyg
    media_media:
      allow_view_mode_override: true
image_upload:
  status: true
  scheme: public
  directory: inline-images
  max_size: null
  max_dimensions:
    width: null
    height: null
